Changer de version PHP sur un serveur

Pourquoi changer de version PHP d’un serveur pour WordPress ?

Changer de version PHP sur un serveurWordPress 4.0 nécessite au minimum la version PHP 5.2.4. L’actuelle version stable pour WordPress est PHP 5.5.7. Si vous mettez à jour votre WordPress pour passer à WordPress 4.0 et que la version PHP de votre serveur est antérieure à PHP 5.2.4, votre WordPress ne sera plus accessible et vous recevrez un message d’erreur du type: « Votre serveur utilise la version x.x.x de PHP mais WordPress 4.0 nécessite au moins la version 5.2.4. ». Il est donc nécessaire de mettre à jour la version PHP de votre serveur pour WordPress 4.0.

La mise à jour de la version PHP d’un serveur ne doit normalement poser aucun problème, mais dans certains cas, cela peut s’avérer bien plus compliqué. Si votre hébergeur est WordPress-friendly, vous n’aurez aucun problème pour changer la version PHP de votre serveur. Mais le changement de version PHP du serveur peut s’avérer fatal pour votre site si votre hébergeur n’est pas très fiable… Vous n’aurez alors comme seule solution qu’un changement d’hébergeur afin de récupérer votre site ou votre WordPress.

La plupart des hébergeurs proposent actuellement la version PHP 5.4 installée sur leurs serveurs. Certains hébergeurs, comme 1and1 par exemple, proposent de changer de version PHP du serveur directement depuis votre tableau de bord. Cependant, attention à ne pas tout de suite sauter sur la dernière version de PHP, car les dernières versions peuvent parfois casser certaines applications PHP. Mieux vaut donc s’en tenir à la version 5.4 voire 5.5 pour le moment. Actuellement, PHP 5.4 est la version utilisée par la plupart des hébergeurs WordPress.

Comment changer de version PHP sur un serveur pour WordPress ?

Par mesure de sécurité, effectuez régulièrement une sauvegarde de vos sites WordPress. Si vous n’avez pas de solution de sauvegarde automatique du type BackupBuddy, VaultPress, ou BackWPup, alors il est grand temps d’installer l’une d’entre elles, ou au moins de créer une sauvegarde manuelle de votre site WordPress. Une fois la sauvegarde effectuée, assurez-vous que vous utilisez la dernière version de WordPress et que tous vos plug-ins sont également à jour.

WordPress ainsi que la plupart de ses plug-ins ne se verront pas affectés par une mise à jour PHP. Néanmoins, il n’est pas impossible que certains plug-ins ne fonctionnent plus après la mise à jour. Il faudra alors contacter le développeur du plug-in en question afin de lui demander des informations sur ce problème.

Il est peu probable que le changement de version PHP du serveur rende votre WordPress inaccessible. Néanmoins, avec la surabondance de plugins gratuits et payants, une seule ligne de code un peu pauvre peut entrainer une erreur. Dans ce cas, soyez sûr que l’erreur ne soit pas causée par un plugin ou un thème WordPress. Pour cela, désactivez  tous vos plugins WordPress et optez pour un thème WordPress par défaut. Si malgré cela, l’erreur persiste, contactez alors votre hébergeur qui sera plus à même de vous aider. Dans le cas où celui-ci serait incapable de résoudre votre problème, essayez d’installer une nouvelle version de WordPress, puis de restaurer votre ancienne version via la sauvegarde. Si l’erreur persiste toujours, il est alors grande temps de changer d’hébergement WordPress.

Commentez ou posez votre question

Votre email ne sera pas public.